import { OnInit, OnChanges, EventEmitter, SimpleChanges } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class NgxMatAutocompleteControlComponent implements OnInit, OnChanges {
    control: UntypedFormControl;
    refId: string;
    refName: string;
    label: string;
    highlightColor: string;
    appearance: any;
    options: any[];
    required: boolean;
    showDefaultSelect: boolean;
    disabled: boolean;
    value: any;
    checkValid: boolean;
    selectionChange: EventEmitter<any>;
    propValueEvent: EventEmitter<any>;
    keyUp: boolean;
    filterList: any[];
    tempValue: any;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    keyUpFunction(event: any, value: any): boolean;
    get displayDataFn(): (data: any) => any;
    setItems(value: any): void;
    assignResourceCopy(): void;
    checkValidValue(): void;
    checVal(value: any): void;
    emitValues(event: any): void;
    trackByFn(index: number, item: any): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatAutocompleteControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxMatAutocompleteControlComponent, "ngx-mat-autocomplete-control", never, { "control": { "alias": "control"; "required": false; }; "refId": { "alias": "refId"; "required": false; }; "refName": { "alias": "refName"; "required": false; }; "label": { "alias": "label"; "required": false; }; "highlightColor": { "alias": "highlightColor"; "required": false; }; "appearance": { "alias": "appearance"; "required": false; }; "options": { "alias": "options"; "required": false; }; "required": { "alias": "required"; "required": false; }; "showDefaultSelect": { "alias": "showDefaultSelect"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "value": { "alias": "value"; "required": false; }; "checkValid": { "alias": "checkValid"; "required": false; }; }, { "selectionChange": "selectionChange"; "propValueEvent": "propValueEvent"; }, never, never, false, never>;
}
